
Redmine - Defect #1105

ActiveRecord::StaleObjectError exception generated on duplicate issues

2008-04-25 17:31 - Daniel Stine

Status: Closed Start date: 2008-04-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.7   

Resolution: Fixed Affected version:  

Description

As documented in the forum...

http://www.redmine.org/boards/2/topics/show/512

I have three issues eg. A,B and C that are all reporting the same bug.

Issues A and B were entered first and related as duplicates of each other.

Despite being documented in the FAQ, it was non-intuitive that changing the state of one of these also changed the state of it's

duplicate.

There might have been intervening state changes to any of the three issues.

Later, C was added and related as a duplicate of both A and B.

Attempting to change the state of this third duplicate (triplicate?) caused a StaleObject exception.

This is rails 2.0.2  running on Windows XP (SP2), SQLite backend, mongrel server, private intranet.

Associated revisions

Revision 1360 - 2008-04-26 12:54 - Jean-Philippe Lang

Fixed: ActiveRecord::StaleObjectError exception on closing a set of circular duplicate issues (#1105).

History

#1 - 2008-04-26 12:40 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

I can't reproduce with latest code.

I think this problem was fixed by r1162.

#2 - 2008-04-26 12:47 - Jean-Philippe Lang

- Status changed from Resolved to New

- Resolution deleted (Fixed)

I can reproduce indeed.

#3 - 2008-04-26 12:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7

- Resolution set to Fixed

Fixed in r1360.
